Bug 1693640 (CVE-2019-10018) - CVE-2019-10018 xpdf: floating point exception in function PostScriptFunction::exec in Function.cc
Summary: CVE-2019-10018 xpdf: floating point exception in function PostScriptFunction:...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2019-10018
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1693652 1693656
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 11:52 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:52:23 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-03-28 11:52:48 UTC
An issue was discovered in Xpdf 4.01.01. There is an FPE in the function PostScriptFunction::exec at Function.cc for the psOpIdiv case.

Reference:
https://forum.xpdfreader.com/viewtopic.php?f=3&t=41276

Comment 1 Dhananjay Arunesh 2019-03-28 12:22:50 UTC
Created xpdf tracking bugs for this issue:

Affects: fedora-all [bug 1693652]

Comment 2 Dhananjay Arunesh 2019-03-28 12:24:47 UTC
Created xpdf tracking bugs for this issue:

Affects: epel-all [bug 1693656]

Comment 3 Product Security DevOps Team 2019-06-10 10:52:23 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.